﻿/* CSS for /monthly-contest */

/***********************/
/*  //    HTML    //   */
/***********************/
html {
    height: 100%;
    box-sizing: border-box;
    -webkit-text-size-adjust: 100%;
    scroll-behavior: smooth;
    scroll-padding-top: calc(82px + 20px);
}

/*********************************/
/*   ////////  General ///////   */
/*********************************/
.container {
    max-width: 1030px;
}

.inner-container {
    margin: 0 auto;
    max-width: 992px;
}

p:last-of-type {
    margin-bottom: 0;
}

/**************************/
/*  /    Viewport    //   */
/**************************/
.tablet-only,
.desktop-only {
    display: none;
}

@media screen and (min-width:768px) {
    .tablet-only {
        display: block;
    }
    .mobile-only.no-desktop,
    .desktop-only {
        display: block;
    }
}

@media screen and (min-width:1024px) {
    .desktop-break {
        display: block;
    }
}

@media screen and (max-width:767px) {
    .mobile-only {
        display: block;
    }
}

/*******************************/
/* //      Typography       // */
/*******************************/
sup {
    font-size: 0.625rem;
}

p.important {
    margin-left: 0;
    padding-left: 22px;
    position: relative;
}

p.important:before {
    color: var(--primary-red);
    content: "\F06A";
    display: inline-block;
    font-family: 'FontAwesome';
    font-size: 20px;
    left: 0;
    margin-right: 5px;
    position: absolute;
    top: -2px;
}

/*************************/
/*   //  Typography //  */
/************************/
h1 sup {
    font-size: 50%;
}

body.FRCA sup.fr {
    font-size: 10px;
}

.h1,
.h2,
.h3 {
    font-weight: 400;
    line-height: 1.25;
    margin-bottom: 1em;
}

.h1 {
    font-size: 1.5rem;
}

.h2 {
    font-size: 1.625rem;
}

.h3 {
    font-size: 1.3125rem;
}

.h4 {
    font-size: 1rem;
}

.h5 {
    font-size: .875rem;
}

.h2.bold {
    font-weight: 700;
}

@media screen and (min-width:675px) {
    .h1 {
        font-size: 2.25rem;
    }
}

@media screen and (min-width:768px) {
    .h1 {
        font-size: 2.625rem;
    }

    .h2 {
        font-size: 2rem;
    }
}

.text-bold {
    font-weight: 700;
}

.text-uppercase {
    text-transform: uppercase;
}

.text-red {
    color: var(--primary-red);
}

.text-center {
    text-align: center;
}

/*********************************/
/*   ////////  Header ///////   */
/********************************/
header {
    background-color: var(--white);
    box-shadow: 0 -6px 10px 5px rgba(0,0,0,0.5);
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 40;
}

.header-inner.container {
    align-items: center;
    display: flex;
    height: var(--desktop-header-height);
    justify-content: space-between;
    max-width: 1030px;
    padding: 8px 30px;
}

@media screen and (max-width:767px) {
    .header-inner.container {
        align-items: flex-start;
        display: flex;
        justify-content: space-between;
        padding-left: 20px;
        padding-right: 20px;
    }

    .header-inner:has(.header-button-container) {
        flex-direction: row;
        flex-wrap: nowrap;
        padding-bottom: 16px;
        padding-top: 16px;
    }

    .landing-page-container:has(.header-button-container):has(.header.desktop-only-btn) .header-inner {
        height: var(--desktop-header-height);
        padding-bottom: 8px;
        padding-top: 8px;
    }

    .header-button-container {
        bottom: 20px;
        left: 0;
        padding: 0;
        position: absolute;
        margin: 0 30px;
        width: calc(100% - 60px);
    }

    .header-button-container a.btn.btn-primary {
        width: 100%;
    }

    .desktop-only-btn .logo-wrapper {
        max-width: 315px;
        width: 80%;
    }

    .desktop-only-btn .logo-wrapper + div {
        width: 20%;
    }
}

.header-inner.container .header-html-wrapper {
    padding: 0 20px;
    width: 100%;
}

.header-inner.container .header-html-wrapper ul {
    display: flex;
    justify-content: space-between;
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 100%;
}

.header-inner.container .header-html-wrapper li a {
    color: var(--black);
    display: inline-block;
    font-size: .875rem;
    font-weight: 700;
    margin: 0 10px;
    padding: 10px;
    text-decoration: none;
    text-transform: uppercase;
}

.header-inner.container .header-html-wrapper li a:hover,
.header-inner.container .header-html-wrapper li a:focus {
    color: var(--secondary-red);
    text-decoration: underline;
}

@media screen and (max-width:950px) {
    .header-inner.container .header-html-wrapper {
        display: none;
    }
}

@media screen and (min-width:1024px) {
    .header-inner.container:has(.header-html-wrapper) .language-switch-container {
        margin-left: 40px;
    }
}

/******************************/
/*   ///////  Logo ////////   */
/******************************/
/* Logo + Language Toggle container */
.logo-wrapper {
    justify-content: start;
}

.logo-wrapper,
.logo-wrapper + div {
    align-items: center;
    display: flex;
    height: 62px;
    max-height: 62px;
}

.logo-wrapper + div {
    justify-content: space-between;
}

/* CRC Logo */
.logo-wrapper a,
.logo-wrapper img {
    display: block;
}

.logo-wrapper .partner-logo-wrapper {
    margin-left: 5px;
    padding-left: 5px;
    position: relative;
}

.header .logo-wrapper .crc-logo {
    max-width: 135px;
}

.header .logo-wrapper:has(.partner-logo-wrapper) .crc-logo {
    max-width: 140px;
}

.header .logo-wrapper .partner-logo-wrapper {
    align-items: center;
    display: flex;
    max-width: 160px;
}

@media screen and (min-width:768px) {
    .logo-wrapper + div {
        flex-direction: row-reverse;
    }

    .header .logo-wrapper .crc-logo {
        max-width: 155px;
    }

    .header .logo-wrapper:has(.partner-logo-wrapper) .crc-logo,
    .header .logo-wrapper .partner-logo-wrapper {
        max-width: 150px;
    }

    .header .logo-wrapper .crc-logo,
    .header .logo-wrapper .partner-logo-wrapper {
        max-height: 62px;
    }
}

@media screen and (max-width:767px) {
    .logo-wrapper {
        align-items: center;
        display: flex;
        height: 62px;
        max-width: 80%;
    }

    .desktop-only-btn .logo-wrapper {
        max-width: 80%;
    }

    .header .logo-wrapper:has(.partner-logo-wrapper) .crc-logo,
    .header .logo-wrapper .partner-logo-wrapper {
        width: 50%;
    }
}

/*********************************/
/*   /// Language Links /////   */
/********************************/
.language-switch-container {
    margin: 0;
    padding-left: 20px;
}

@media(min-width: 768px) {
    .language-switch-container {
        margin: 0 30px 0 0;
    }
}

@media(min-width: 1024px) {
    .header-inner:has(.header-html-wrapper) .language-switch-container {
        margin-left: 40px;
    }
}

/*********************************/
/*   ///////  Buttons ////////   */
/********************************/
.btn-primary {
    display: block;
    letter-spacing: .5px;
    margin: 1rem auto;
    width: 100%;
}

@media screen and (min-width:768px) {
    .btn-primary {
        display: inline-block;
        min-width: 200px;
        width: auto;
    }
}

.btn-primary:hover,
.btn-primary:focus {
    text-decoration: underline;
}

.btn-primary:focus {
    outline: 3px solid var(--light-grey);
}

.main .btn-primary {
    margin-bottom: 10px;
    margin-top: 15px;
}

.container-btn .btn-primary {
    margin: 1rem auto 0;
}

.cms-edit-menu button.btn-primary {
    background: green;
}

.cms-edit-menu button.btn {
    border-radius: 8px;
    border-style: none;
    cursor: pointer;
    display: inline-block;
    font-size: 1rem;
    font-weight: 700;
    letter-spacing: 1px;
    margin: 0;
    min-width: inherit;
    max-width: inherit;
    outline: none;
    padding: 0 10px;
    text-align: center;
    text-decoration: none;
    text-transform: initial;
    transition: 140ms ease-in-out 10ms;
    width: auto;
}

/*********************************/
/*   ///////  Links ////////   */
/********************************/
.link {
    color: var(--black);
    cursor: pointer;
    font-weight: bold;
    text-decoration: underline;
    transition: 140ms ease-in-out 10ms;
}

.link:hover,
.link:focus {
    color: var(--primary-red);
}

.link:focus {
    outline: 1px solid var(--a11y-grey);
}

/***************************/
/*  //  Image Credits  //  */
/***************************/
.basic-image-container {
    font-size: 0;
    position: relative;
}

.basic-image-container:has(.basic-image-credit):after {
    background: linear-gradient(to top, rgba(0, 0, 0, .5), rgba(255, 255, 255, 0) 40%);
    content: "";
    display: block;
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}

.basic-image-credit {
    background: none;
    bottom: inherit;
    color: var(--white);
    display: block;
    font-size: .625rem;
    margin: -25px auto 0;
    padding: 3px 10px;
    position: absolute;
    right: inherit;
    text-align: right;
    text-shadow: var(--text-shadow);
    width: 100%;
    z-index: 4;
}

/*************************/
/*  //  Hero Banner  //  */
/*************************/
.graphic-banner {
    background-color: var(--primary-red);
}

.graphic-banner .container {
    padding: 0 30px;
    font-size: 0;
}

.graphic-banner .container img {
    max-height: 370px;
}

/***********************/
/*   ///  Form   ///   */
/***********************/
[data-hsfc-id=Renderer] * {
    font-family: 'open sans' !important;
}

[data-hsfc-id=Renderer] .hsfc-Form span .hsfc-FieldLabel__RequiredIndicator {
    color: var(--primary-red) !important;
}

[data-hsfc-id=Renderer] .hsfc-ReCaptchaV2 {
    margin-top: 20px !important;
}

[data-hsfc-id=Renderer] .hsfc-ReCaptchaV2 .grecaptcha-badge {
    margin: auto !important;
}

[data-hsfc-id=Renderer] .hsfc-ErrorAlert {
    padding-left: 20px;
    position: relative;
    font-size: 12px !important;
}

[data-hsfc-id=Renderer] .hsfc-NavigationRow__Alerts {
    display: none !important;
}

[data-hsfc-id=Renderer] .hsfc-ErrorAlert::before {
    color: var(--primary-red);
    content: "\F06A";
    display: inline-block;
    font-family: "FontAwesome";
    font-size: 1rem;
    font-weight: 900;
    left: 0;
    margin-right: 5px;
    position: absolute;
    transition: 140ms ease-in-out 10ms;
}

[data-hsfc-id=Renderer] .hsfc-Button {
    width: 100% !important;
    max-width: 250px !important;
}

[data-hsfc-id=Renderer] .hsfc-Button:not([disabled]) {
    background: var(--primary-red);
    border-radius: 8px;
    border-style: none;
    cursor: pointer;
    display: inline-block;
    font-size: 1rem;
    font-weight: 700;
    letter-spacing: 0.5px;
    min-width: 175px;
    outline: none;
    padding: 16px 34px;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    transition: 140ms ease-in-out 10ms;
    width: auto;
}

[data-hsfc-id=Renderer] .hsfc-Button:not([disabled]):hover {
    background: var(--secondary-red) !important;
    transform: translateY(0) !important;
}

[data-hsfc-id=Renderer] .hsfc-Button:not([disabled]):hover,
[data-hsfc-id=Renderer] .hsfc-Button:not([disabled]):focus {
    text-decoration: underline;
}

[data-hsfc-id=Renderer] .hsfc-Button:not([disabled]):focus {
    outline: 3px solid var(--light-grey);
}

.form {
    background: linear-gradient(
        to bottom, 
        var(--primary-red),
        var(--primary-red) 300px,
        white 300px,
        white
    );
}

.form:has(.hsfc-PostSubmit) {
    background: linear-gradient(
        to bottom, 
        var(--primary-red),
        var(--primary-red) 50%,
        white 50%,
        white
    );
}

.form .container {
    padding: 0 15px;
}

.hubspot-form-container {
    background-color: var(--white);
    background-image: url(https://cdn.redcross.ca/prodmedia/crc/azure/campaign/spin-1s-50px.svg);
    background-position: center;
    background-repeat: no-repeat;
    margin: auto;
    max-width: 850px;
    min-height: 557px;
}

.hubspot-form-container:has(.hsfc-PostSubmit) {
    min-height: 0;
}

[data-hsfc-id=Renderer] form .hsfc-Step .hsfc-Step__Content {
    padding: 40px !important;
}

[data-hsfc-id=Row]:nth-of-type(1) [data-hsfc-id=RichText] {
    margin-bottom: 20px;
    text-align: center;
}

[data-hsfc-id=Row]:nth-of-type(1) [data-hsfc-id=RichText] p {
    margin: 0;
}

[data-hsfc-id=Row]:nth-of-type(1) [data-hsfc-id=RichText] p:nth-of-type(1) {
    color: var(--primary-red) !important;
    font-size: 32px !important;
    line-height: 1.2 !important;
}

[data-hsfc-id=Row]:nth-of-type(1) [data-hsfc-id=RichText] p:nth-of-type(2) {
    font-size: 32px !important;
    font-weight: 800;
    line-height: 1.2 !important;
    margin-bottom: 20px;
}

[data-hsfc-id=Row]:nth-of-type(1) [data-hsfc-id=RichText] p:nth-of-type(3),
[data-hsfc-id=Row]:nth-of-type(1) [data-hsfc-id=RichText] p:nth-of-type(4) {
    display: inline;
    font-size: 1rem !important;
    line-height: 1.5 !important;
}

@media (min-width: 768px) {
    [data-hsfc-id=Row]:nth-of-type(1) [data-hsfc-id=RichText] p:nth-of-type(4) {
        display: block;
    }
}

[data-hsfc-id=Row]:nth-of-type(4) [data-hsfc-id=RichText] p:nth-of-type(1) {
    font-size: 13px !important;
    margin-top: 10px;
}

[data-hsfc-id=Row]:nth-of-type(5),
[data-hsfc-id=Row]:nth-of-type(5) [data-hsfc-id=RichText] {
    margin: 0px !important;
}

[data-hsfc-id=Renderer] .hsfc-PostSubmit * {
    font-family: 'open sans' !important;
    font-size: 32px !important;
    line-height: 1.2 !important;
    margin: 0 !important;
}

[data-hsfc-id=Renderer] .hsfc-PostSubmit strong {
    display: block;
}

.hs-form-html {
    background-color: #fff;
}

.hsfc-Step__Content {
    background-color: rgba(255, 0, 0, .1);
    padding: 40px;
}

[data-hsfc-id="PostSubmit"] p:nth-of-type(2) {
    margin-top: 20px !important;
}

[data-hsfc-id="PostSubmit"] .hsfc-Row .hsfc-RichText p:first-of-type strong {
    font-weight: 800;
}

[data-hsfc-id="PostSubmit"] .hsfc-Row .hsfc-RichText p:nth-of-type(2),
[data-hsfc-id="PostSubmit"] .hsfc-Row .hsfc-RichText p:nth-of-type(2) strong {
    font-size: 1rem !important;
    font-weight: normal !important;
}

@media (min-width: 768px) {
    [data-hsfc-id=Renderer] .hsfc-PostSubmit strong {
        display: inline;
    }
}

.hsfc-Step__Banner {
    display: none;
}

/****************************/
/*   /////   Main   /////   */
/****************************/
.main {
    margin-top: 25px;
}

.main > .container {
    max-width: 505px;
}

.main > .container > .section-content-items-container {
    display: grid;
    gap: 45px;
}

.main > .container > .section-content-items-container h2 {
    color: var(--primary-red);
    font-size: 32px;
    line-height: 1.2;
    margin: 20px 0;
    text-transform: uppercase;
}

.main > .container > .section-content-items-container h2 strong {
    font-weight: 800;
}

@media (min-width: 768px) {

    .main > .container {
        max-width: 800px;
    }
    
    .main > .container > .section-content-items-container > div {
        align-items: start;
        display: grid;
        grid-template-columns: 326px 1fr;
        gap: 30px;
    }

    .main > .container > .section-content-items-container h2 {
        margin-top: 0;
    }

    .main > .container > .section-content-items-container > div:nth-child(even) {
        grid-template-columns: 1fr 326px;
    }

    .main > .container > .section-content-items-container > div:nth-child(even) >  :nth-child(1) {
        grid-column: 2 / 3;
    }

    .main > .container > .section-content-items-container > div:nth-child(even) > :nth-child(2) {
        grid-row: 1 / 2;
    }
}

/****************************/
/*   /////  Footer  /////   */
/****************************/
#legal {
    padding: 0;
}

.donate-footer-contact {
    border-top: 1px solid var(--lightest-grey-text);
    margin-top: 10px;
    padding-top: 20px;
}

/* CSS for /monthly-contest */
